OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
terraform_gui.h File Reference

GUI stuff related to terraforming. More...

`#include "window_type.h"`

Go to the source code of this file.

## Functions
Window * | ShowTerraformToolbar (Window *link=NULL)
| Show the toolbar for terraforming in the game.
Window * | ShowEditorTerraformToolbar ()
| Show the toolbar for terraforming in the scenario editor.

## Detailed Description

GUI stuff related to terraforming.

Definition in file terraform_gui.h.

## Function Documentation

Window* ShowEditorTerraformToolbar | ( |  | ) |

Show the toolbar for terraforming in the scenario editor.

Returns
  The allocated toolbar if the window was newly opened, else `NULL`.

Definition at line 768 of file terraform_gui.cpp.

Referenced by ScenarioEditorToolbarWindow::OnHotkey(), and TerraformToolbarEditorGlobalHotkeys().

Window* ShowTerraformToolbar | ( | Window * | link | ) |

Show the toolbar for terraforming in the game.

Parameters

  link | The toolbar we might want to link to.

Returns
  The allocated toolbar if the window was newly opened, else `NULL`.

Definition at line 366 of file terraform_gui.cpp.

References _current_text_dir, _local_company, DeleteWindowById(), Window::height, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID(), Window::left, Window::SetDirty(), TD_RTL, Window::top, WC_SCEN_LAND_GEN, and Window::width.

Referenced by MenuClickForest(), MainToolbarWindow::OnHotkey(), and TerraformToolbarGlobalHotkeys().